//
//  NavigationController.m
//  Demo
//
//  Created by edz on 2020/12/29.
//  Copyright © 2020 ryw. All rights reserved.
//

#import "NavigationController.h"

@interface NavigationController ()

@end

@implementation NavigationController
- (void)viewDidLoad {
    [super viewDidLoad];
    self.navigationController.navigationBar.tintColor = [UIColor blackColor];
}

-(void)popself {
    [self popViewControllerAnimated:YES];
}

- (UIBarButtonItem*)createBackButton {
    UIButton *btn = [UIButton buttonWithType:UIButtonTypeCustom];
    [btn setImage:[UIImage imageNamed:@"返回"] forState:UIControlStateNormal];
    [btn setTitle:@"返回" forState:UIControlStateNormal];
    [btn setTitleColor:UIColor.blackColor forState:UIControlStateNormal];
    btn.titleLabel.font = [UIFont systemFontOfSize:17];
    [btn addTarget:self action:@selector(popself) forControlEvents:UIControlEventTouchUpInside];
    
    btn.imageEdgeInsets = UIEdgeInsetsMake(0, -10, 0, 10);
    btn.titleEdgeInsets = UIEdgeInsetsMake(0, -18, 0, 18);
    
    return [[UIBarButtonItem alloc] initWithCustomView:btn];
}

- (void)pushViewController:(UIViewController *)viewController animated:(BOOL)animated

{
    [super pushViewController:viewController animated:animated];
    if (viewController.navigationItem.leftBarButtonItem == nil && [self.viewControllers count] > 1) {
        viewController.navigationItem.leftBarButtonItem = [self createBackButton];
    }   
}

@end
