//
//  Common.h
//  OneLoginExample
//
//  Created by cqc on 2020/5/8.
//  Copyright © 2020 kingsoft. All rights reserved.
//

#ifndef Common_h
#define Common_h


#endif /* Common_h */

#define dispatch_main_async_safe(block)             \
if ([NSThread isMainThread]) {                      \
block();                                            \
} else {                                            \
dispatch_async(dispatch_get_main_queue(), block);   \
}

#define    IS_IPHONEX        \
({BOOL isPhoneX = NO;\
if (@available(iOS 11.0, *)) {\
isPhoneX = [[UIApplication sharedApplication] delegate].window.safeAreaInsets.bottom > 0.0;\
}\
(isPhoneX);})

#pragma mark - # 常用控件高度
#define     STATUSBAR_HEIGHT            (IS_IPHONEX ? 44.0f : 20.0f)
#define     NAVBAR_HEIGHT               44.0f
#define kScreenWidth        ([UIScreen mainScreen].bounds).size.width //应用程序的宽度
#define kScreenHeight       ([UIScreen mainScreen].bounds).size.height //应用程序的高度
#define kAutolayout6(size)                    (kScreenWidth / 375.0 * (size))
#define kIPhone6RatioValue(size)                    (kScreenHeight / 667.0 * (size))
#define kAutolayout6P(size)                    (kScreenWidth / 414.0 * (size))
#define RGBA(r,g,b,a)               [UIColor colorWithRed:(float)r/255.0f green:(float)g/255.0f blue:(float)b/255.0f alpha:a]
#define     TLWeakSelf(type)            __weak typeof(type) weak##type = type;

#ifdef DEBUG
# define CLLog(fmt, ...) CLLogWithFile((@"[文件名:%s] " "[函数名:%s] " "[行号:%d] " fmt), __FILE__, __FUNCTION__, __LINE__, ##__VA_ARGS__);
#else
# define CLLog(...);
#endif
